
# because of using 'sudo zsh', root use my $HOME as its $HOME then
# while using emacs, it backups its file on my ~/.emacs-backup
# defined in my ~/.emacs and i don't want this then i choose
# to delete this files on logout

# NB : in newer versions of find there's the option '-delete'
find $HOME/.emacs-backups -not -user $USERNAME -not -type d -exec rm -f {} \; >/dev/null 2>&1

